Mostrar Mensajes

Esta sección te permite ver todos los mensajes hechos por este usuario, recuerda que solo puedes ver los mensajes en áreas en donde tu tienes acceso.


Mensajes - faraya

Páginas: [1] 2 3 ... 11
1
SIU-Kolla - Técnicos / Re:Error_Actualización kolla v4.2.1 a v4.5.1
« on: Septiembre 10, 2021, 11:58:26 am »
Hola Rodrigo!
vamos a revisar este mensaje y corregirlo.
[ TOBA ] [MENSAJE]: FATAL:  no hay una línea en pg_hba.conf para «127.0.0.1», usuario «kolla», base de datos «kolla451», SSL activo

en cuanto este mensaje:
[ PARAMETROS db_proyecto ] dbname => 'kolla451'
[ PARAMETROS db_toba ] dbname=>'kolla451'

Lo que hicimos es crear la base kolla451 y restaurarle el bkp de la base 421. Pero en realidad es la base de la versión que queremos actualizar

Saludos Fernando.


2
SIU-Kolla - Técnicos / Re:Error_Actualización kolla v4.2.1 a v4.5.1
« on: Septiembre 10, 2021, 11:13:03 am »
Buen día! estamos actualizando el sistema kolla de la versión  v4.2.1 a v4.5.1 y al momento de ejecutar composer install, nos salen los siguientes mensajes:

Skipped installation of bin bin/toba for package siu-toba/framework:
name conflicts with an existing file
Skipped installation of bin bin/toba_docker for package
siu-toba/framework: name conflicts with an existing file

Installing tecnickcom/tcpdf (6.3.5): Downloading (100%)
components/bootstrap suggests installing components/bootstrap-default
(Provide a theme for Bootstrap as components/bootstrap only provides the
CSS as file assets)
guzzlehttp/psr7 suggests installing laminas/laminas-httphandlerrunner
(Emit PSR-7 responses)
laminas/laminas-validator suggests installing laminas/laminas-db
(Laminas\Db component, required by the (No)RecordExists validator)
laminas/laminas-validator suggests installing laminas/laminas-filter
(Laminas\Filter component, required by the Digits validator)
laminas/laminas-validator suggests installing laminas/laminas-i18n
(Laminas\I18n component to allow translation of validation error messages)
laminas/laminas-validator suggests installing
laminas/laminas-i18n-resources (Translations of validator messages)
laminas/laminas-validator suggests installing laminas/laminas-math
(Laminas\Math component, required by the Csrf validator)
laminas/laminas-validator suggests installing
laminas/laminas-servicemanager (Laminas\ServiceManager component to
allow using the ValidatorPluginManager and validator chains)
laminas/laminas-validator suggests installing laminas/laminas-session
(Laminas\Session component, ^2.8; required by the Csrf validator)
paragonie/random_compat suggests installing ext-libsodium (Provides a
modern crypto API that can be used to generate random bytes.)
paragonie/sodium_compat suggests installing ext-libsodium (PHP < 7.0:
Better performance, password hashing (Argon2i), secure memory management
(memzero), and better security.)
mjohnson/decoda suggests installing ext-memcached (Cache data using
Memcache)
mjohnson/decoda suggests installing ext-redis (Cache data using Redis)
doctrine/cache suggests installing alcaeus/mongo-php-adapter (Required
to use legacy MongoDB driver)
pear/math_biginteger suggests installing ext-bcmath (Allows using the
BCMath extension internally for computation. Faster than native
implementation.)
pear/math_biginteger suggests installing ext-gmp (Allows using the GNU
Multiple Precision extension internally for computation. If you are
doing a lot of computation this is the recommended extension.)
phpoffice/phpspreadsheet suggests installing dompdf/dompdf (Option for
rendering PDF with PDF Writer (doesn't yet support PHP8))
phpoffice/phpspreadsheet suggests installing jpgraph/jpgraph (Option for
rendering charts, or including charts with PDF or HTML Writers)
phpoffice/phpspreadsheet suggests installing mpdf/mpdf (Option for
rendering PDF with PDF Writer)
phpmailer/phpmailer suggests installing hayageek/oauth2-yahoo (Needed
for Yahoo XOAUTH2 authentication)
phpmailer/phpmailer suggests installing league/oauth2-google (Needed for
Google XOAUTH2 authentication)
phpmailer/phpmailer suggests installing stevenmaguire/oauth2-microsoft
(Needed for Microsoft XOAUTH2 authentication)
symfony/polyfill-intl-normalizer suggests installing ext-intl (For best
performance)
symfony/polyfill-intl-idn suggests installing ext-intl (For best
performance)
dapphp/securimage suggests installing ext-pdo_mysql (For MySQL database
support)
dapphp/securimage suggests installing ext-pdo_sqlite (For SQLite3
database support)
siu-toba/framework suggests installing simplesamlphp/simplesamlphp
(Permite conectarse a un IDP centralizado (see onelogin))
siu-toba/framework suggests installing siu-toba/jasper (Permite imprimir
reportes via Jasper desde SIU-Toba)
siu-toba/framework suggests installing siu/arai-reportes (Permite
imprimir reportes via un servidor Jasper desde SIU-Toba)
siu-toba/framework suggests installing siu/manejador-salida-bootstrap
(Permite generar un marcado HTML responsive)
symfony/service-contracts suggests installing symfony/service-implementation
symfony/console suggests installing symfony/event-dispatcher
symfony/console suggests installing symfony/lock
monolog/monolog suggests installing aws/aws-sdk-php (Allow sending log
messages to AWS services like DynamoDB)
monolog/monolog suggests installing doctrine/couchdb (Allow sending log
messages to a CouchDB server)
monolog/monolog suggests installing ext-amqp (Allow sending log messages
to an AMQP server (1.0+ required))
monolog/monolog suggests installing ext-mongo (Allow sending log
messages to a MongoDB server)
monolog/monolog suggests installing graylog2/gelf-php (Allow sending log
messages to a GrayLog2 server)
monolog/monolog suggests installing mongodb/mongodb (Allow sending log
messages to a MongoDB server via PHP Driver)
monolog/monolog suggests installing php-amqplib/php-amqplib (Allow
sending log messages to an AMQP server using php-amqplib)
monolog/monolog suggests installing php-console/php-console (Allow
sending log messages to Google Chrome)
monolog/monolog suggests installing rollbar/rollbar (Allow sending log
messages to Rollbar)
monolog/monolog suggests installing ruflin/elastica (Allow sending log
messages to an Elastic Search server)
monolog/monolog suggests installing sentry/sentry (Allow sending log
messages to a Sentry server)
siu/check-constraints suggests installing siu/toba-ldap (Permite
realizar chequeos a un servicio LDAP)
siu/instalador suggests installing siu/anonimizador (Permite anonimizar
los datos de una base de datos para un proyecto)
Package container-interop/container-interop is abandoned, you should
avoid using it. Use psr/container instead.
Generating autoload files
25 packages you are using are looking for funding.
Use the composer fund command to find out more!

Si continuamos con la actualización llegamos al paso que compila y nos muestra el siguiente mensaje de error:

Compilando metadatos del proyecto toba_usuarios

6000/6000
[▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓]
100%


In Filesystem.php line 105:

   Failed to create "/var/pas/kolla_4.5.1/www/temp/": mkdir(): File exists

No se que podra ser? estamos actualizando en Debian 9, PHP 7.3 y Postgres 13.
Adjunto el log del instalador. Saludos Fernando.

3
SIU-Kolla - Técnicos / Re:Error_Actualización kolla v4.2.1 a v4.5.1
« on: Agosto 26, 2021, 08:01:28 am »
Efectivamente tengo instalada la versión 2 de composer, cuando instale composer en Debian 9 se instalo por defecto.
Voy a instalar la versión 1 para ver lo que pasa. Muchas gracias por la respuesta!

Saludos Fernando.

4
SIU-Kolla - Técnicos / Error_Actualización kolla v4.2.1 a v4.5.1
« on: Agosto 25, 2021, 03:05:39 pm »
Buenas tardes!
En la UNPA estamos probando la actualización de kolla de la v4.2.1 a v4.5.1. El ambiente de prueba es Debian 9, PHP 7.3 y Postgres 13.
Después de realizar la actualización y darle los permisos de ejecución, modificamos el virtualhost generado para el sistema de la siguiente forma:

<VirtualHost *:80>
        ServerName cys-kollaPas.sistemas.unpa.edu.ar
        RewriteEngine on
        LogLevel warn
        RewriteCond %{SERVER_PORT} !^443$
        RewriteRule ^/(.*) https://%{SERVER_NAME}/$1 [L,R]
RewriteCond %{SERVER_NAME} =cys-kollaPas.sistemas.unpa.edu.ar
RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]
</VirtualHost>

<VirtualHost *:443>
        ServerName cys-kollaPas.sistemas.unpa.edu.ar
        ServerAdmin rys@unpa.edu.ar
        SSLEngine on
        DocumentRoot /var/pas/kolla_4.5.1/www/
        <Directory /var/pas/kolla_4.5.1/www/>
                DirectoryIndex inicial.php
                Options FollowSymLinks MultiViews
                AllowOverride All
                Order allow,deny
                allow from all
        </Directory>
                ErrorLog /var/log/apache2/error.log
LogLevel warn
        CustomLog /var/log/apache2/access.log combined
        ServerSignature Off
        include /var/pas/kolla_4.5.1/instalacion/toba.conf
        SSLCertificateFile /etc/letsencrypt/live/kolla.sistemas.unpa.edu.ar/fullchain.pem
SSLCertificateKeyFile /etc/letsencrypt/live/kolla.sistemas.unpa.edu.ar/privkey.pem
Include /etc/letsencrypt/options-ssl-apache.conf
</VirtualHost>

Cabe aclarar que solo hemos modificado las siguientes lineas del VH:

DocumentRoot /var/pas/kolla_4.5.1/www/
        <Directory /var/pas/kolla_4.5.1/www/>

include /var/pas/kolla_4.5.1/instalacion/toba.conf

y cuando queremos ingresar al sistema, nos sale el siguiente error:

Composer detected issues in your platform: Your Composer dependencies require a PHP version ">= 7.3.0".

Mirando las ultimas lineas del sistema.log se ve lo siguiente:

Fecha: 25-08-2021 12:51:05
Operacion: Autentificaci�n de Usuarios
Usuario: no_autentificado
Version-PHP: 7.1.30-1+0~20190531112744.19+jessie~1.gbpab9d28
Servidor: cys-kollapas.sistemas.unpa.edu.ar
URI: /pas/kolla/aplicacion.php?fs=1
Referrer: https://cys-kollapas.sistemas.unpa.edu.ar/pas/kolla/aplicacion.php?tm=1&tcm=central&ai=kolla||38000148
Host: 10.0.30.34
==========
[INFO][toba] Se detecto cambio de operaci�n. Se limpia la memoria de la operacion
[INFO][kolla] PUNTO MONTAJE: se carg� la clase extension_toba/kolla_usuario.php del punto de montaje proyecto. El path del mismo es /var/pas/kolla/aplicacion/php
[INFO][kolla] PUNTO MONTAJE: se carg� la clase operaciones/login/ci_login.php del punto de montaje proyecto. El path del mismo es /var/pas/kolla/aplicacion/php
[INFO][toba] componente(200000003): No hay se�ales de un servicio anterior, no se atrapan eventos
[INFO][toba] componente(200000003): [ callback ] 'conf__login' no fue atrapado
[INFO][kolla] PUNTO MONTAJE: se carg� la clase extension_toba/bootstrap/componentes/interfaz/bootstrap_formulario_login.php del punto de montaje proyecto. El path del $
-o-o-o-o-o-
Fecha: 25-08-2021 12:51:05
Operacion: Autentificaci�n de Usuarios
Usuario: no_autentificado
Version-PHP: 7.1.30-1+0~20190531112744.19+jessie~1.gbpab9d28
Servidor: cys-kollapas.sistemas.unpa.edu.ar
URI: /pas/kolla/aplicacion.php?ah=st612666e96ed716.04115721&ai=kolla%7C%7C200000004
Referrer: https://cys-kollapas.sistemas.unpa.edu.ar/pas/kolla/aplicacion.php?fs=1
Host: 10.0.30.34
==========
[INFO][kolla] PUNTO MONTAJE: se carg� la clase operaciones/login/ci_login.php del punto de montaje proyecto. El path del mismo es /var/pas/kolla/aplicacion/php
[INFO][toba] componente(200000003): No hay se�ales de un servicio anterior, no se atrapan eventos
[INFO][toba] componente(200000003): [ callback ] 'conf__login' no fue atrapado
[INFO][kolla] PUNTO MONTAJE: se carg� la clase extension_toba/bootstrap/componentes/interfaz/bootstrap_formulario_login.php del punto de montaje proyecto. El path del $

Espero me puedan ayudar.
Saludos Fernando Araya. UNPA.



5
Buen día Silvio!!
Ejecutamos esos comandos pero persiste el error. Por esta razón escribimos al foro.

Saludos Fernando.

6
Buenos días!
Seguí trabajando en este error y probé desinstalar las ca-certificates e instalarlas nuevamente (sudo apt-get install ca-certificates) y nada. También actualice php-curl (apt-get install php7.1-curl) y sigue saliendo el mismo error.
El ambiente de prueba en el que estamos configurando, es el siguiente:
- Tenemos instalado en un mismo servidor Pilaga 3.6.0 y Diaguita 3.0.1
- Desde Diaguita si podemos consultar preventivos y compromisos de Pilaga. El problema es a la inversa.

Saludos Fernando.

7
Técnicos SIU-Pilagá / UNPA_Error al configurar Unidades Administrativas
« on: Octubre 13, 2020, 08:21:29 am »
Buenos dias, dado a que queremos hacer uso de los servicios web entre Pilaga y Diaguita, es por ello que nos encontramos configurando el sistema Pilaga para emplearlos.
Les comento que actualmente nosotros tenemos configurada la conexión entre Diaguita y Pilaga, para que Diaguita pueda consultar los preventivos y compromisos de Pilaga. Ahora queremos configurar para que Pilaga pueda consultar los documentos cargados en Diaguita, amortizaciones y garantias.
El tema es que una vez que realizamos la configuración, se nos presente el siguiente error al momento de intentar cargar las Oficinas de contratación, desde Administración->Configuración de Unidad de Gestión-> Solapa Oficina SIU-Diaguita:

cURL error 60: SSL certificate problem: certificate has expired (see https://curl.haxx.se/libcurl/c/libcurl-errors.html)

Adjunto archivo error.log de apache.

8
Araí - Usuarios / Re:Problemas para navegar Arai Usuarios
« on: Agosto 26, 2020, 01:18:23 pm »
Hola Ricardo!
Estoy intentando navegar a https://unpa.edu.ar/usuarios desde dentro de la VM en proxmox, a través del comando lynx ya que esta maquina posee interfaz gráfica.
Modifique el archivo hosts agregando el dominio unpa.edu.ar al mismo, me quedo así:

127.0.0.1       localhost
192.168.25.8    ldapserver      unpa.edu.ar
# The following lines are desirable for IPv6 capable hosts
::1     localhost ip6-localhost ip6-loopback
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters

Si ejecuto lynx https://unpa.edu.ar/usuarios obtengo lo siguiente:

Looking up unpa.edu.ar
Making HTTPS connection to unpa.edu.ar
Alert!: Unable to make secure connection to remote host.

lynx: Can't access startfile https://unpa.edu.ar/usuarios

9
Araí - Usuarios / Problemas para navegar Arai Usuarios
« on: Agosto 26, 2020, 11:12:05 am »
Buen día!
Luego de desplegar el stack de Arai Usuarios e intentar nevegar a https://uunn.local/usuarios, en mi caso https://unpa.edu.ar/usuarios, No puedo navegar el proyecto.
Descarte que sea un problema de firewall.
¿Qué puedo mirar para saber qué está fallando?
Saludos. Fernando.

10
Araí - Usuarios / Re:UNPA_Instalación cluster docker
« on: Agosto 26, 2020, 10:51:06 am »
Buen día Sergio!
La instalación de Arai Usuarios la estoy realizando sobre una maquina virtual en proxmox, así que hoy lo único que hice fue apagarla y volverla a levantar. Luego ejecute  nuevamente el Bootstraping del proyecto:

ADMIN_PASS=toba1234 docker stack deploy \
    --with-registry-auth \
    -c util/usuarios_crear_admin.yml \
    boot

y probé verificar el estado de ejecución del mismo:

docker service logs boot_idm -f

Y se ejecuto correctamente.

boot_idm.1.3du49rlq4yx7@general-grievous    |  ================================================================================
boot_idm.1.3du49rlq4yx7@general-grievous    |
boot_idm.1.3du49rlq4yx7@general-grievous    |   Creación de usuario root de SIU-Arai-Usuarios. Se lo guiará paso a paso
boot_idm.1.3du49rlq4yx7@general-grievous    |  para crearlo. En el transcurso se le pedirá su
boot_idm.1.3du49rlq4yx7@general-grievous    |  confirmación antes de realizar ninguna acción.
boot_idm.1.3du49rlq4yx7@general-grievous    |
boot_idm.1.3du49rlq4yx7@general-grievous    |   El proceso esta por iniciar. ¿Desea continuar?  (yes/no) [yes]:
boot_idm.1.3du49rlq4yx7@general-grievous    |  >
boot_idm.1.3du49rlq4yx7@general-grievous    | 1) Inicialización de proyecto
boot_idm.1.3du49rlq4yx7@general-grievous    | =============================
boot_idm.1.3du49rlq4yx7@general-grievous    |
boot_idm.1.3du49rlq4yx7@general-grievous    |
boot_idm.1.3du49rlq4yx7@general-grievous    |   [NOTA] Se encontró la aplicación con id: idm-core                             
boot_idm.1.3du49rlq4yx7@general-grievous    |
boot_idm.1.3du49rlq4yx7@general-grievous    |
boot_idm.1.3du49rlq4yx7@general-grievous    |   [NOTA] Se actualizó el password del admin                                     
boot_idm.1.3du49rlq4yx7@general-grievous    |
boot_idm.1.3du49rlq4yx7@general-grievous    |
boot_idm.1.3du49rlq4yx7@general-grievous    |   [NOTA] Se asoció la cuenta de admin al IDM                                   
boot_idm.1.3du49rlq4yx7@general-grievous    |
boot_idm.1.3du49rlq4yx7@general-grievous    |
boot_idm.1.3du49rlq4yx7@general-grievous    |  [ OK ] Se completó el proceso de creación y actualización de usuario admin
boot_idm.1.3du49rlq4yx7@general-grievous    |
boot_idm.1.3du49rlq4yx7@general-grievous    | 
boot_idm.1.3du49rlq4yx7@general-grievous    |  ================================================================================
boot_idm.1.3du49rlq4yx7@general-grievous    |  Proceso ejecutado en SIU-Arai-Usuarios (versión v3.0.2)
boot_idm.1.3du49rlq4yx7@general-grievous    | 
boot_idm.1.3du49rlq4yx7@general-grievous    |  ================================================================================

Así que después desplegué el stack Arai Usuarios:

docker stack deploy --with-registry-auth -c usuarios.yml usuarios

Que también se ejecuto correctamente.
Al momento de navegar a https://unpa.edu.ar/usuarios no me dejo, pero eso lo voy a seguir como otro tema.

11
Araí - Usuarios / Re:UNPA_Instalación cluster docker
« on: Agosto 25, 2020, 12:52:34 pm »
Hola Sergio!
Pude cargar los esquemas de Arai Usuarios, ahora al ejecutar sudo ldapsearch -LLLQY EXTERNAL -H ldapi:/// -b cn=schema,cn=config "(objectClass=olcSchemaConfig)" dn, obtengo:
dn: cn=schema,cn=config

dn: cn={0}core,cn=schema,cn=config

dn: cn={1}cosine,cn=schema,cn=config

dn: cn={2}nis,cn=schema,cn=config

dn: cn={3}inetorgperson,cn=schema,cn=config

dn: cn={4}arai-usuarios,cn=schema,cn=config

dn: cn={5}edu-org,cn=schema,cn=config

dn: cn={6}edu-person,cn=schema,cn=config

Y mirando la documentación de https://documentacion.siu.edu.ar/usuarios/docs/cache/conceptos-storage/#ldap, tiene en cuenta los pasos opcionales que salen https://documentacion.siu.edu.ar/usuarios/docs/cache/instalacion-bases-ldap/, así que también los corrí porque antes no lo había hecho.
Verifique los permisos y reinicie el servicio Ldap, pero sigo teniendo el mismo error.
Lo que no pude ver son los logs de Ldap, porque no los pude encontrar.

Saludos Fernando.


12
Araí - Usuarios / Re:UNPA_Instalación cluster docker
« on: Agosto 25, 2020, 10:30:06 am »
Buen día Sergio.
Si ejecuto sudo ldapsearch -x -W -D "cn=admin,dc=unpa,dc=edu,dc=ar" -b "dc=unpa,dc=edu,dc=ar" para verificar que las entidades se hayan cargado adecuadamente, obtengo:

# extended LDIF
#
# LDAPv3
# base <dc=unpa,dc=edu,dc=ar> with scope subtree
# filter: (objectclass=*)
# requesting: ALL
#

# unpa.edu.ar
dn: dc=unpa,dc=edu,dc=ar
objectClass: top
objectClass: dcObject
objectClass: organization
o: UNPA
dc: unpa

# admin, unpa.edu.ar
dn: cn=admin,dc=unpa,dc=edu,dc=ar
objectClass: simpleSecurityObject
objectClass: organizationalRole
cn: admin
description: LDAP administrator
userPassword:: e1NTSEF9ZmpiZFFVR3JQTEdKeUtGRXZpQnhkc05lcVlOdjRWZ0M=

# groups, unpa.edu.ar
dn: ou=groups,dc=unpa,dc=edu,dc=ar
objectClass: top
objectClass: organizationalUnit
ou: groups

# usuarios, unpa.edu.ar
dn: ou=usuarios,dc=unpa,dc=edu,dc=ar
objectClass: top
objectClass: organizationalUnit
ou: usuarios

# usuariosCuentas, unpa.edu.ar
dn: ou=usuariosCuentas,dc=unpa,dc=edu,dc=ar
objectClass: top
objectClass: organizationalUnit
ou: usuariosCuentas

# devs, groups, unpa.edu.ar
dn: cn=devs,ou=groups,dc=unpa,dc=edu,dc=ar
objectClass: groupOfNames
cn: devs
member: cn=admin,dc=unpa,dc=edu,dc=ar

# search result
search: 2
result: 0 Success

# numResponses: 7
# numEntries: 6

Y si ejecuto  sudo ldapsearch -LLLQY EXTERNAL -H ldapi:/// -b cn=schema,cn=config "(objectClass=olcSchemaConfig)" dn para verificar que los esquemas fueron cargados realmente, obtengo:

dn: cn=schema,cn=config

dn: cn={0}core,cn=schema,cn=config

dn: cn={1}cosine,cn=schema,cn=config

dn: cn={2}nis,cn=schema,cn=config

dn: cn={3}inetorgperson,cn=schema,cn=config


13
Araí - Usuarios / Re:UNPA_Instalación cluster docker
« on: Agosto 24, 2020, 10:04:16 am »
Muchas Gracias por tu respuesta Ricardo!
Seguí revisando la instalación y me di cuenta que cuando realicé el Bootstraping del proyecto, solo ejecute:
ADMIN_PASS=toba1234 docker stack deploy \
    --with-registry-auth \
    -c util/usuarios_crear_admin.yml \
    boot
y no probé verificar el estado de ejecución del mismo:
docker service logs boot_idm -f
Que si no entendí mal me iría diciendo los problemas que tendría en la instalación de Arai Usuarios. Efectivamente al momento de ejecutarlo me muestra los siguientes errores:

boot_idm.1.fi5bcdvmq6oc@general-grievous    |  ================================================================================
boot_idm.1.fi5bcdvmq6oc@general-grievous    |  Iniciando el proceso en SIU-Arai-Usuarios (versión v3.0.2)
boot_idm.1.fi5bcdvmq6oc@general-grievous    |  ================================================================================
boot_idm.1.fi5bcdvmq6oc@general-grievous    |
boot_idm.1.fi5bcdvmq6oc@general-grievous    |   ____ ___ _   _         _              _     ___    _ __  __
boot_idm.1.fi5bcdvmq6oc@general-grievous    |  / ___|_ _| | | |       / \   _ __ __ _(_)_  |_ _|__| |  \/  |
boot_idm.1.fi5bcdvmq6oc@general-grievous    |  \___ \| || | | |_____ / _ \ | '__/ _` | (_)  | |/ _` | |\/| |
boot_idm.1.fi5bcdvmq6oc@general-grievous    |   ___) | || |_| |_____/ ___ \| | | (_| | |_   | | (_| | |  | |
boot_idm.1.fi5bcdvmq6oc@general-grievous    |  |____/___|\___/     /_/   \_\_|  \__,_|_(_) |___\__,_|_|  |_|
boot_idm.1.fi5bcdvmq6oc@general-grievous    |                                                                                                                           
boot_idm.1.fi5bcdvmq6oc@general-grievous    |
boot_idm.1.fi5bcdvmq6oc@general-grievous    |  ================================================================================
boot_idm.1.fi5bcdvmq6oc@general-grievous    |
boot_idm.1.fi5bcdvmq6oc@general-grievous    |   Creación de usuario root de SIU-Arai-Usuarios. Se lo guiará paso a paso
boot_idm.1.fi5bcdvmq6oc@general-grievous    |  para crearlo. En el transcurso se le pedirá su
boot_idm.1.fi5bcdvmq6oc@general-grievous    |  confirmación antes de realizar ninguna acción.
boot_idm.1.fi5bcdvmq6oc@general-grievous    |
boot_idm.1.fi5bcdvmq6oc@general-grievous    |   El proceso esta por iniciar. ¿Desea continuar?  (yes/no) [yes]:
boot_idm.1.fi5bcdvmq6oc@general-grievous    |  >
boot_idm.1.fi5bcdvmq6oc@general-grievous    | 1) Inicialización de proyecto
boot_idm.1.fi5bcdvmq6oc@general-grievous    | =============================
boot_idm.1.fi5bcdvmq6oc@general-grievous    |
boot_idm.1.fi5bcdvmq6oc@general-grievous    |
boot_idm.1.fi5bcdvmq6oc@general-grievous    |   [NOTA] Se encontró la aplicación con id: idm-core                             
boot_idm.1.fi5bcdvmq6oc@general-grievous    |
boot_idm.1.fi5bcdvmq6oc@general-grievous    |
boot_idm.1.fi5bcdvmq6oc@general-grievous    | In UsuariosManager.php line 441:
boot_idm.1.fi5bcdvmq6oc@general-grievous    |                                                                   
boot_idm.1.fi5bcdvmq6oc@general-grievous    |   No se pudo crear el objeto en el servidor LDAP: Invalid syntax 
boot_idm.1.fi5bcdvmq6oc@general-grievous    |                                                                   
boot_idm.1.fi5bcdvmq6oc@general-grievous    |
boot_idm.1.fi5bcdvmq6oc@general-grievous    | In Ldap.php line 930:
boot_idm.1.fi5bcdvmq6oc@general-grievous    |                                                                   
boot_idm.1.fi5bcdvmq6oc@general-grievous    |   No se pudo crear el objeto en el servidor LDAP: Invalid syntax 
boot_idm.1.fi5bcdvmq6oc@general-grievous    |                                                                   
boot_idm.1.fi5bcdvmq6oc@general-grievous    |
boot_idm.1.fi5bcdvmq6oc@general-grievous    | proyecto:bootstrap [--no-progress] [--password PASSWORD

Espero que me puedan ayudar!

14
Araí - Usuarios / Re:UNPA_Instalación cluster docker
« on: Agosto 21, 2020, 10:13:42 am »
Muchas Gracias por tu respuesta Sergio!!!
Pude seguir avanzando en la instalación, resolviendo el problema al ejecutar docker secret create usuarios_idp_saml_key ./certs/certificado_idp.key:

"Got permission denied while trying to connect to the Docker daemon socket at unix:///var/run/docker.sock: Post http://%2Fvar%2Frun%2Fdocker.sock/v1.40/secrets/create: dial unix /var/run/docker.sock: connect: permission denied"

ejecutando: sudo usermod -a -G docker $USER y reiniciando el server.

Seguí con la instalación realizando el Bootstraping del proyecto y desplegando el stack de instalción de Arai Usuarios sin problemas. Pero al momento de acceder a  https://uunn.local/usuarios, en mi caso  https://unpa.edu.ar/usuarios no me dejo.
Mirando los logs de apache puedo ver las siguientes lineas:
[Fri Aug 21 09:10:35.563006 2020] [access_compat:error] [pid 1081] [client 10.0.5.16:47498] AH01797: client denied by server configuration: /var/www/html/usuarios
[Fri Aug 21 09:10:35.661427 2020] [access_compat:error] [pid 1081] [client 10.0.5.16:47498] AH01797: client denied by server configuration: /var/www/html/favicon.ico
Alguna idea de donde mirar para resoverlo?

15
Araí - Usuarios / Re:UNPA_Instalación cluster docker
« on: Agosto 19, 2020, 09:10:49 am »
Buenos días!
Al no tener respuesta a mi consulta, deje el paso de cambiar el dominio base ejecutando lo siguiente:
sudo sed -i 's/uunn\.local/unpa.edu.ar/g' \
    traefik.le.yml \
    traefik.yml
Y seguí avanzando en la instalación hasta la sección de Configurar y desplegar Araí-Usuarios, donde en el paso de Generar certificados, tuve el siguiente error:
al registrar los certificados y claves generadas en Docker, ejecutando:

docker secret create usuarios_idp_saml_key ./certs/certificado_idp.key

obtengo esto:

"Got permission denied while trying to connect to the Docker daemon socket at unix:///var/run/docker.sock: Post http://%2Fvar%2Frun%2Fdocker.sock/v1.40/secrets/create: dial unix /var/run/docker.sock: connect: permission denied"

Cual sera el error?



Páginas: [1] 2 3 ... 11